Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Get response details

GET
/v2/tenant/{tenantKey}/registered/{responseKey}
curl --request GET \
--url https://sender.api.kivra.com/v2/tenant/example/registered/example \
--header 'Authorization: Bearer <token>'

Get the response status of a registered letter sent by a tenant. A user can sign a registered letter or let it expire.

When a user signs a registered letter, it is removed from their account, and the response is stored. If the letter is not signed before its expiration date, it is automatically removed as well. In both cases the response is stored.

When sending a registered letter a sender_reference can be included. This is an optional field that can be used to store an internal reference with the registered letter. This field is included when fetching the response of a registered letter.

tenantKey
required
string format: hexadecimal

The unique tenant key that the registered letters belong to.

responseKey
required
string format: hexadecimal

The unique key of a registered letter response.

The registered letter response.

Media typeapplication/json
RegisteredLetterResponse
object
status
RegisteredLetterResponseStatus

Status of the registered letter response.

string
Allowed values: signed expired
signed_at

When the registered letter was signed

string format: ISO8601
nullable
sender_reference

The same object that was passed by the sender when creating the registered letter. Null if nothing was passed.

object
content_key
string
bank_id_order

Returns the same as the BankID collect endpoint, however bankIdIssueDate, uhi and risk are excluded.

More details about this object can be found here.

object
Example
{
"status": "signed",
"signed_at": "2025-06-15T12:00:10Z",
"sender_reference": {
"internal_id": "6eb7d1b9-ccd6-408f-ade7-9a1837be3ecf"
},
"content_key": "2877d684-a340-4e4c-867f-d93283787b01",
"bank_id_order": {
"orderRef": "0197b142-2c15-74a7-9850-3b68087ad4ec",
"status": "completed",
"completionData": {
"user": {
"personalNumber": "197701032380",
"name": "Jan-Erik Karlsson",
"givenName": "Jan-Erik",
"surname": "Karlsson"
},
"device": {
"ipAddress": "142.250.74.206"
},
"stepUp": {
"mrtd": false
},
"signature": "PD94bWwgdmVyc2lvb...",
"ocspResponse": "MIIHdgoBAKCCB28wggdrBg..."
}
}
}

Not authorized to make the request